<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Carbon;
use App\Reminder;
use App\Events\ReminderScheduled;

class ReminderCheck extends Command
{
    protected $signature = 'reminder:check';
    protected $description = 'Check reminder';

    public function __construct()
    {
        parent::__construct();
    }

    private function reminders()
    {
        $now = Carbon::now()->toDateTimeString();
        $fallenMinute = Carbon::now()->addMinute(-1)->toDateTimeString();
        $reminders = Reminder::where('scheduled_at', '>=', $fallenMinute)
            ->where('scheduled_at', '<', $now)
            ->get();
        return $reminders;
    }

    public function handle()
    {
        $reminders = $this->reminders();
        $reminders->each(function ($reminder) {
            broadcast(new ReminderScheduled($reminder));
        });
    }
}
