<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;
use Illuminate\Support\Str;

class NotificationCreated implements ShouldBroadcastNow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $notification;

    public function __construct($notification)
    {
        $this->notification = [
            'id' => Str::uuid(),
            'message' => Str::title($notification->service.': '.$notification->message),
            'created_at' => $notification->created_at
        ];
    }

    public function broadcastWith()
    {
        return [ 'notification' => $this->notification ];
    }

    public function broadcastAs()
    {
        return 'notification.created';
    }

    public function broadcastOn()
    {
        return new Channel('notification');
    }
}
