<?php

namespace App\Http\Controllers;

use App\User;
use App\Utils\Utils;
use Illuminate\Http\Request;

class AccountController extends Controller
{
    public function edit(Request $request)
    {
        $validator = Utils::validate($request->all(), [
            'email' => 'required|string|email:rfc,dns|max:50',
            'password' => 'nullable|string|min:6|max:25'
        ]);
        if ($validator->failed) {
            return $validator->error();
        }
        $user = User::firstOrFail();
        $user->update([ 'email' => $request->email ]);
        if ($request->password) {
            $password = Utils::hash($request->password);
            $user->update([ 'password' => $password ]);
        }
        return Utils::response($user);
    }
}
