<?php

namespace App\Http\Controllers;

use App\Activity;
use App\Utils\Utils;
use Illuminate\Http\Request;
use App\Http\Controllers\Helpers\ActivityHelper;

class ActivityController extends Controller
{
    public function paginate()
    {
        $activities = Activity::latest()->paginate(20);
        return Utils::response($activities);
    }

    public function search(Request $request)
    {
        $validator = Utils::validate($request->query(), [
            'keyword' => 'required|string|max:75',
        ]);
        if ($validator->failed) {
            return $validator->error();
        }
        $keyword = $request->query('keyword');
        $activities = ActivityHelper::fuzzy($keyword);
        return Utils::response($activities);
    }
}
