<?php

namespace App\Http\Controllers\Helpers;

use App\Activity;
use App\Utils\Utils;

class ActivityHelper
{
    public static function create($activity)
    {
        $validator = Utils::validate($activity, [
            'service' => 'required|string|max:25',
            'log' => 'required|string|max:100',
        ]);
        if ($validator->failed) return;
        Activity::create([
            'service' => $activity['service'],
            'log' => $activity['log']
        ]);
    }

    public static function fuzzy($keyword)
    {
        $search = '%'.$keyword.'%';
        $activities = Activity::where('service', 'like', $search)
            ->orWhere('log', 'like', $search)
            ->orWhere('created_at', 'like', $search)
            ->paginate(20)
            ->appends(['keyword' => $keyword]);
        return $activities;
    }
}
