<?php

namespace App\Http\Controllers\Helpers;

use Illuminate\Support\Str;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\ImageManagerStatic as Image;

class AvatarStorageHelper
{
    private $id;
    private $uri;
    private $extension;
    private $file;

    public function __construct($avatar)
    {
        $this->id = Str::uuid();
        $this->uri = $avatar['uri'];
        $this->extension = $avatar['extension'];
        $this->file = $this->encode();
        $this->store();
    }

    private function encode()
    {
        $avatar = Image::make($this->uri)
            ->resize(100, null, function ($constraint) {
                $constraint->aspectRatio();
            })->encode();
        return $avatar;
    }

    private function path()
    {
        $path = 'avatar/'.$this->id.'.'.$this->extension;
        return $path;
    }

    private function store()
    {
        Storage::put($this->path(), $this->file, 'public');
    }

    public function url()
    {
        $url = Storage::url($this->path());
        return $url;
    }
}
