<?php

namespace App\Http\Controllers\Helpers;

use Illuminate\Support\Str;
use Illuminate\Support\Facades\Storage;

class FileStorageHelper
{
    public $id;
    private $uri;
    public $extension;
    public $file;

    public function __construct($file)
    {
        $this->id = Str::uuid();
        $this->uri = $file['uri'];
        $this->extension = $file['extension'];
        $this->file = $this->encode();
        $this->store();
    }

    private function encode()
    {
        $file = file_get_contents($this->uri, true);
        return $file;
    }

    public function path()
    {
        $path = 'file/'.$this->id.'.'.$this->extension;
        return $path;
    }

    private function store()
    {
        Storage::put($this->path(), $this->file, 'public');
    }

    public function size()
    {
        $size = Storage::size($this->path());
        return $size;
    }

    public function url()
    {
        $url = Storage::url($this->path());
        return $url;
    }
}
