<?php

namespace App\Http\Controllers\Helpers;

use App\User;
use Exception;
use Pusher\Pusher;
use App\Mail\MailTest;
use App\Http\Controllers\Helpers\PaypalHelper as Paypal;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Storage;

class SetupVerifyHelper
{
    public static function database()
    {
        try {
            User::count();
            return true;
        } catch (Exception $e) {
            return false;
        }
    }

    public static function storage()
    {
        try {
            $path = 'test/file.txt';
            $isExists = Storage::exists($path);
            if ($isExists) Storage::delete($path);
            Storage::put($path, 'test');
            Storage::url($path);
            Storage::delete($path);
            return true;
        } catch (Exception $e) {
            return false;
        }
    }

    public static function mail()
    {
        try {
            $email = 'email@example.com';
            Mail::to($email)->send(new MailTest());
            return true;
        } catch (Exception $e) {
            return false;
        }
    }

    public static function paypal()
    {
        try {
            Paypal::payments();
            return true;
        } catch (Exception $e) {
            return false;
        }
    }

    public static function pusher()
    {
        $key = config('broadcasting.connections.pusher.key');
        $secret = config('broadcasting.connections.pusher.secret');
        $id = config('broadcasting.connections.pusher.app_id');
        $cluster = config('broadcasting.connections.pusher.options.cluster');
        $options = ['cluster' => $cluster];
        $pusher = new Pusher($key, $secret, $id, $options);
        $isTriggered = $pusher->trigger('channel', 'event', 'data');
        return $isTriggered;
    }
}
