<?php

namespace App\Http\Controllers;

use App\Utils\Utils;
use App\Notification;
use Illuminate\Http\Request;
use App\Http\Controllers\Helpers\NotificationHelper;

class NotificationController extends Controller
{
    public function paginate()
    {
        $notifications = Notification::latest()->paginate(20);
        return Utils::response($notifications);
    }

    public function search(Request $request)
    {
        $validator = Utils::validate($request->query(), [
            'keyword' => 'required|string|max:75',
        ]);
        if ($validator->failed) {
            return $validator->error();
        }
        $keyword = $request->query('keyword');
        $notifications = NotificationHelper::fuzzy($keyword);
        return Utils::response($notifications);
    }
}
