<?php

namespace App\Http\Controllers;

use App\Utils\Utils;
use App\Http\Controllers\Helpers\SetupVerifyHelper as SetupVerify;

class SetupController extends Controller
{
    public function verify()
    {
        $status = [
            'database' => SetupVerify::database(),
            'storage' => SetupVerify::storage(),
            'mail' => SetupVerify::mail(),
            'paypal' => SetupVerify::paypal(),
            'pusher' => SetupVerify::pusher()
        ];
        $values = collect($status)->values()->all();
        $status['is_verified'] = !in_array(false, $values);
        return Utils::response($status);
    }
}
