<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Invoice extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'uuid',
        'milestone_id',
        'status',
        'path',
        'url',
        'pay'
    ];

    public function milestone ()
    {
        return $this->belongsTo('App\Milestone')->withTrashed();
    }

    public function payments ()
    {
        return $this->hasMany('App\Payment');
    }
}
