<?php

namespace App\Mail;

use App\User;
use App\Invoice;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PaymentCompleted extends Mailable
{
    use Queueable, SerializesModels;

    public $invoice;
    public $milestone;
    public $project;
    public $client;
    public $user;

    public function __construct(Invoice $invoice)
    {
        $this->invoice = $invoice;
        $this->milestone = $this->invoice->milestone;
        $this->project = $this->milestone->project;
        $this->client = $this->project->client;
        $this->user = User::firstOrFail();
    }

    public function build()
    {
        return $this->view('emails.payments.completed')
            ->attachFromStorage($this->invoice->path);
    }
}
