<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Carbon;

class Milestone extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'project_id',
        'title',
        'description',
        'budget',
        'start_at',
        'finish_at'
    ];

    public function project ()
    {
        return $this->belongsTo('App\Project')->withTrashed();
    }

    public function invoice ()
    {
        return $this->hasOne('App\Invoice');
    }
}
