<?php

namespace App\Observers;

use App\Client;
use App\Project;
use Illuminate\Support\Facades\Log;

class ClientObserver
{
    public function deleting(Client $client)
    {
        $client->projects()
            ->each(function (Project $project) {
                $project->delete();
            });
    }

    public function restored(Client $client)
    {
        $client->projects()
            ->withTrashed()
            ->each(function (Project $project) {
                $project->restore();
            });
    }
}
