<?php

namespace App\Observers;

use App\Invoice;
use App\Payment;

class InvoiceObserver
{
    public function deleting(Invoice $invoice)
    {
        $invoice->payments()
            ->each(function (Payment $payment) {
                $payment->delete();
            });
    }

    public function restored(Invoice $invoice)
    {
        $invoice->payments()
            ->withTrashed()
            ->each(function (Payment $payment) {
                $payment->restore();
            });
    }
}
