<?php

namespace App\Observers;

use App\Invoice;
use App\Milestone;

class MilestoneObserver
{
    public function deleting(Milestone $milestone)
    {
        $milestone->invoice()
            ->each(function (Invoice $invoice) {
                $invoice->delete();
            });
    }

    public function restored(Milestone $milestone)
    {
        $milestone->invoice()
            ->withTrashed()
            ->each(function (Invoice $invoice) {
                $invoice->restore();
            });
    }
}
