<?php

namespace App\Observers;

use App\Milestone;
use App\Project;

class ProjectObserver
{
    public function deleting(Project $project)
    {
        $project->milestones()
            ->each(function (Milestone $milestone) {
                $milestone->delete();
            });
    }

    public function restored(Project $project)
    {
        $project->milestones()
            ->withTrashed()
            ->each(function (Milestone $milestone) {
                $milestone->restore();
            });
    }
}
