<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Project extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'client_id',
        'title',
        'description'
    ];

    public function client ()
    {
        return $this->belongsTo('App\Client')->withTrashed();
    }

    public function milestones ()
    {
        return $this->hasMany('App\Milestone');
    }

    public function budget ()
    {
        $budget = $this->milestones->pluck('budget')->sum();
        return $budget;
    }

    public function startAt ()
    {
        $startAt = $this->milestones->min('start_at');
        return $startAt;
    }

    public function finishAt ()
    {
        $finishAt = $this->milestones->max('finish_at');
        return $finishAt;
    }
}
