<?php

namespace App\Providers;

use App\Client;
use App\Project;
use App\Milestone;
use App\Invoice;
use App\Observers\ClientObserver;
use App\Observers\ProjectObserver;
use App\Observers\MilestoneObserver;
use App\Observers\InvoiceObserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    public function register()
    {
        //
    }

    public function boot()
    {
        Client::observe(ClientObserver::class);
        Project::observe(ProjectObserver::class);
        Milestone::observe(MilestoneObserver::class);
        Invoice::observe(InvoiceObserver::class);
    }
}
