<?php

namespace App\Utils;

use Illuminate\Support\Str;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Hash;

class Utils
{
  private static function toJson($arr)
  {
    $encode = json_encode($arr);
    $decode = json_decode($encode);
    return $decode;
  }

  public static function validate($data, $rule)
  {
    return new Validator($data, $rule);
  }

  public static function error($message, $statusCode = 400)
  {
    $response = self::toJson([ 'message' => $message ]);
    return self::response($response, $statusCode);
  }

  public static function response($data, $statusCode = 200)
  {
    return response()->json($data, $statusCode);
  }

  public static function now()
  {
    return Carbon::now()->toDateTimeString();
  }

  public static function hash($password)
  {
    return Hash::make($password);
  }

  public static function uuid()
  {
    return Str::orderedUuid();
  }
}