<?php

namespace App\Utils;

use App\Utils\Utils;
use Illuminate\Support\Facades\Validator as Core;

class Validator
{
    private $data;
    private $rule;
    private $validator;
    public $failed;

    public function __construct($data, $rule)
    {
        $this->data = $data;
        $this->rule = $rule;
        $this->validator = $this->validate();
        $this->failed = $this->validator->fails();
    }

    private function validate () {
      $validator = Core::make($this->data, $this->rule);
      return $validator;
    }

    private function message () {
        $error = $this->validator->errors();
        $message = collect($error)->values()[0][0];
        return $message;
    }

    public function error () {
        $response = Utils::error($this->message(), 422);
        return $response;
    }
}