<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesTable extends Migration
{
    public function up()
    {
        Schema::create('invoices', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('uuid');
            $table->unsignedBigInteger('milestone_id')->unique();
            $table->enum('status', ['created', 'sent', 'paid']);
            $table->string('path', 100);
            $table->string('url', 125);
            $table->string('pay', 125);
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('milestone_id')->references('id')->on('milestones');
        });
    }

    public function down()
    {
        Schema::dropIfExists('invoices');
    }
}
