import Vue from 'vue'
import VueRouter from 'vue-router'

import App from './App.vue'
import routes from './routes'
import store from './store'
import './bootstrap'

import momentPlugin from './plugins/momentPlugin'
import utilsPlugin from './plugins/utilsPlugin'
import StoreService from './services/StoreServices/StoreService'

const router = new VueRouter({
  mode: 'history',
  routes
})

Vue.use(VueRouter)
Vue.use(momentPlugin)
Vue.use(utilsPlugin)

StoreService.boot(store)

new Vue({
  el: '#app',
  router,
  render: h => h(App)
})
