import installMiddleware from '../middleware/installMiddleware'
import loginMiddleware from '../middleware/loginMiddleware'
import authMiddleware from '../middleware/authMiddleware'
import NotFound from '../views/NotFound'
import SetupVerify from '../views/SetupVerify'
import LicenseVerify from '../views/LicenseVerify'
import UserCreate from '../views/UserCreate'
import Login from '../views/Login'
import Todo from '../views/Todo'
import Notes from '../views/Notes'
import Reminders from '../views/Reminders'
import Settings from '../views/Settings'
import Account from '../views/Account'
import Files from '../views/Files'
import Dashboard from '../views/Dashboard'
import Activities from '../views/Activities'
import Notifications from '../views/Notifications'
import Payments from '../views/Payments'
import Clients from '../views/Clients'
import Projects from '../views/Projects'
import Milestones from '../views/Milestones'
import Invoices from '../views/Invoices'
import Pay from '../views/Pay'
import FileDownload from '../views/FileDownload'

export default [
  { path: '/dashboard', name: 'Dashboard', component: Dashboard, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/todo', name: 'Todo', component: Todo, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/reminders', name: 'Reminders', component: Reminders, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/notes', name: 'Notes', component: Notes, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/clients', name: 'Clients', component: Clients, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/projects', name: 'Projects', component: Projects, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/milestones', name: 'Milestones', component: Milestones, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/files', name: 'Files', component: Files, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/invoices', name: 'Invoices', component: Invoices, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/payments', name: 'Payments', component: Payments, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/notifications', name: 'Notifications', component: Notifications, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/activities', name: 'Activities', component: Activities, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/settings', name: 'Settings', component: Settings, beforeEnter: authMiddleware, meta: { auth: true } },
  { path: '/account', name: 'Account', component: Account, beforeEnter: authMiddleware, meta: { auth: true } },

  { path: '/setup/verify', name: 'SetupVerify', component: SetupVerify, beforeEnter: installMiddleware },
  { path: '/license/verify', name: 'LicenseVerify', component: LicenseVerify, beforeEnter: installMiddleware },
  { path: '/user/create', name: 'UserCreate', component: UserCreate, beforeEnter: installMiddleware },

  { path: '/', name: 'Login', component: Login, beforeEnter: loginMiddleware },
  { path: '/pay/:uuid', name: 'Pay', component: Pay },
  { path: '/files/:uuid/download', name: 'FileDownload', component: FileDownload },
  { path: '*', name: 'NotFound', component: NotFound }
]
