import Http from './HttpService'

export default class ClientHttpService {
  static create (client) {
    return Http.post('clients', client)
  }

  static paginate () {
    return Http.get('clients/paginate')
  }

  static shortlist () {
    return Http.get('clients/shortlist')
  }

  static trash () {
    return Http.get('clients/trash')
  }

  static read (id) {
    return Http.get(`clients/${id}`)
  }

  static edit (client) {
    return Http.put(`clients/${client.id}`, client)
  }

  static delete (id) {
    return Http.delete(`clients/${id}`)
  }

  static restore (id) {
    return Http.delete(`clients/trash/${id}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
