import Http from './HttpService'

export default class FileHttpService {
  static create (file) {
    return Http.post('files', file)
  }

  static paginate () {
    return Http.get('files/paginate')
  }

  static trash () {
    return Http.get('files/trash')
  }

  static read (id) {
    return Http.get(`files/${id}`)
  }

  static edit (file) {
    return Http.put(`files/${file.id}`, file)
  }

  static delete (id) {
    return Http.delete(`files/${id}`)
  }

  static restore (id) {
    return Http.delete(`files/trash/${id}`)
  }

  static share (share) {
    const { file_id: fileId, client_id: clientId } = share
    const data = { client_id: clientId }
    return Http.post(`files/${fileId}/share`, data)
  }

  static collect (uuid) {
    return Http.get(`files/${uuid}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
