import Http from './HttpService'

export default class InvoiceHttpService {
  static create (invoice) {
    return Http.post('invoices', invoice)
  }

  static paginate () {
    return Http.get('invoices/paginate')
  }

  static trash () {
    return Http.get('invoices/trash')
  }

  static read (uuid) {
    return Http.get(`invoices/${uuid}`)
  }

  static delete (id) {
    return Http.delete(`invoices/${id}`)
  }

  static restore (id) {
    return Http.delete(`invoices/trash/${id}`)
  }

  static send (id) {
    return Http.post(`invoices/${id}/send`)
  }

  static next (url) {
    return Http.get(url)
  }
}
