import Http from './HttpService'

export default class MilestoneHttpService {
  static create (milestone) {
    return Http.post('milestones', milestone)
  }

  static paginate () {
    return Http.get('milestones/paginate')
  }

  static trash () {
    return Http.get('milestones/trash')
  }

  static read (id) {
    return Http.get(`milestones/${id}`)
  }

  static edit (milestone) {
    return Http.put(`milestones/${milestone.id}`, milestone)
  }

  static delete (id) {
    return Http.delete(`milestones/${id}`)
  }

  static restore (id) {
    return Http.delete(`milestones/trash/${id}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
