import Http from './HttpService'

export default class NoteHttpService {
  static create (note) {
    return Http.post('notes', note)
  }

  static paginate () {
    return Http.get('notes/paginate')
  }

  static trash () {
    return Http.get('notes/trash')
  }

  static read (id) {
    return Http.get(`notes/${id}`)
  }

  static edit (note) {
    return Http.put(`notes/${note.id}`, note)
  }

  static delete (id) {
    return Http.delete(`notes/${id}`)
  }

  static restore (id) {
    return Http.delete(`notes/trash/${id}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
