import Http from './HttpService'

export default class ProjectHttpService {
  static create (project) {
    return Http.post('projects', project)
  }

  static paginate () {
    return Http.get('projects/paginate')
  }

  static shortlist () {
    return Http.get('projects/shortlist')
  }

  static trash () {
    return Http.get('projects/trash')
  }

  static read (id) {
    return Http.get(`projects/${id}`)
  }

  static edit (project) {
    return Http.put(`projects/${project.id}`, project)
  }

  static delete (id) {
    return Http.delete(`projects/${id}`)
  }

  static restore (id) {
    return Http.delete(`projects/trash/${id}`)
  }

  static milestones (id) {
    return Http.get(`projects/${id}/milestones`)
  }

  static next (url) {
    return Http.get(url)
  }
}
