import Http from './HttpService'

export default class ReminderHttpService {
  static create (reminder) {
    return Http.post('reminders', reminder)
  }

  static paginate () {
    return Http.get('reminders/paginate')
  }

  static scheduled () {
    return Http.get('reminders/scheduled')
  }

  static completed () {
    return Http.get('reminders/completed')
  }

  static trash () {
    return Http.get('reminders/trash')
  }

  static read (id) {
    return Http.get(`reminders/${id}`)
  }

  static edit (reminder) {
    return Http.put(`reminders/${reminder.id}`, reminder)
  }

  static complete (id) {
    return Http.put(`reminders/${id}/complete`)
  }

  static rollback (id) {
    return Http.put(`reminders/${id}/rollback`)
  }

  static delete (id) {
    return Http.delete(`reminders/${id}`)
  }

  static restore (id) {
    return Http.delete(`reminders/trash/${id}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
