import Http from './HttpService'

export default class TodoHttpService {
  static create (task) {
    return Http.post('todos', task)
  }

  static list () {
    return Http.get('todos')
  }

  static completed () {
    return Http.get('todos/completed')
  }

  static trash () {
    return Http.get('todos/trash')
  }

  static reorder (order) {
    return Http.put('todos/reorder', order)
  }

  static complete (id) {
    return Http.put(`todos/${id}/complete`)
  }

  static rollback (id) {
    return Http.put(`todos/${id}/rollback`)
  }

  static delete (id) {
    return Http.delete(`todos/${id}`)
  }

  static restore (id) {
    return Http.delete(`todos/trash/${id}`)
  }

  static next (url) {
    return Http.get(url)
  }
}
