import Lazyload from './LazyloadService'
import ClientRequest from '../RequestServices/ClientRequestService'
import ClientMasonry from '../MasonryServices/ClientMasonryService'

export default class ClientLazyloadService {
  static paginate () {
    const selector = '#client-paginate'
    const paginator = () => ClientRequest.nextPaginate()
    const masonry = () => ClientMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#client-trash'
    const paginator = () => ClientRequest.nextTrash()
    const masonry = () => ClientMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
