import Lazyload from './LazyloadService'
import FileRequest from '../RequestServices/FileRequestService'
import FileMasonry from '../MasonryServices/FileMasonryService'

export default class FileLazyloadService {
  static paginate () {
    const selector = '#file-paginate'
    const paginator = () => FileRequest.nextPaginate()
    const masonry = () => FileMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#file-trash'
    const paginator = () => FileRequest.nextTrash()
    const masonry = () => FileMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
