import Lazyload from './LazyloadService'
import InvoiceRequest from '../RequestServices/InvoiceRequestService'
import InvoiceMasonry from '../MasonryServices/InvoiceMasonryService'

export default class InvoiceLazyloadService {
  static paginate () {
    const selector = '#invoice-paginate'
    const paginator = () => InvoiceRequest.nextPaginate()
    const masonry = () => InvoiceMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#invoice-trash'
    const paginator = () => InvoiceRequest.nextTrash()
    const masonry = () => InvoiceMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
