import _ from 'lodash'
import $ from 'jquery'

export default class LazyloadService {
  constructor (selector, paginator, masonry) {
    this.selector = selector
    this.paginator = paginator
    this.masonry = masonry
    this.init()
  }

  dom () {
    return $(this.selector)
  }

  canPaginate () {
    const dom = this.dom()
    const domHeight = dom[0].clientHeight
    const totalScrollHeight = dom[0].scrollHeight
    const scrollPosition = _.round(dom.scrollTop() + domHeight)
    const canPaginate = scrollPosition === totalScrollHeight
    return canPaginate
  }

  async handler () {
    if (!this.canPaginate()) return
    await this.paginator()
    this.masonry()
  }

  init () {
    this.dom().on('scroll', () => this.handler())
  }
}
