import Lazyload from './LazyloadService'
import NoteRequest from '../RequestServices/NoteRequestService'
import NoteMasonry from '../MasonryServices/NoteMasonryService'

export default class NoteLazyloadService {
  static paginate () {
    const selector = '#note-paginate'
    const paginator = () => NoteRequest.nextPaginate()
    const masonry = () => NoteMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#note-trash'
    const paginator = () => NoteRequest.nextTrash()
    const masonry = () => NoteMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
