import Lazyload from './LazyloadService'
import ProjectRequest from '../RequestServices/ProjectRequestService'
import ProjectMasonry from '../MasonryServices/ProjectMasonryService'

export default class ProjectLazyloadService {
  static paginate () {
    const selector = '#project-paginate'
    const paginator = () => ProjectRequest.nextPaginate()
    const masonry = () => ProjectMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#project-trash'
    const paginator = () => ProjectRequest.nextTrash()
    const masonry = () => ProjectMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
