import Lazyload from './LazyloadService'
import ReminderRequest from '../RequestServices/ReminderRequestService'
import ReminderMasonry from '../MasonryServices/ReminderMasonryService'

export default class ReminderLazyloadService {
  static paginate () {
    const selector = '#reminder-paginate'
    const paginator = () => ReminderRequest.nextPaginate()
    const masonry = () => ReminderMasonry.paginate()
    new Lazyload(selector, paginator, masonry)
  }

  static completed () {
    const selector = '#reminder-completed'
    const paginator = () => ReminderRequest.nextCompleted()
    const masonry = () => ReminderMasonry.completed()
    new Lazyload(selector, paginator, masonry)
  }

  static trash () {
    const selector = '#reminder-trash'
    const paginator = () => ReminderRequest.nextTrash()
    const masonry = () => ReminderMasonry.trash()
    new Lazyload(selector, paginator, masonry)
  }
}
