import ActivityHttp from '../HttpServices/ActivityHttpService'
import ActivityStore from '../StoreServices/ActivityStoreService'
import ActivityMasonry from '../MasonryServices/ActivityMasonryService'

export default class ActivityRequestService {
  static async paginate () {
    const paginate = await ActivityHttp.paginate()
    if (!paginate) return
    ActivityStore.replacePaginate(paginate)
    ActivityMasonry.paginate()
  }

  static async search () {
    const keyword = ActivityStore.collectKeyword()
    if (!keyword) return this.paginate()
    const paginate = await ActivityHttp.search(keyword)
    if (!paginate) return
    ActivityStore.replacePaginate(paginate)
    ActivityMasonry.paginate()
  }

  static async nextPaginate () {
    const current = ActivityStore.collectPaginate()
    if (!current.next_page_url) return
    const paginate = await ActivityHttp.next(current.next_page_url)
    if (!paginate) return
    ActivityStore.pushPaginate(paginate)
  }
}
