import AuthHttp from '../HttpServices/AuthHttpService'
import AuthToken from '../AuthTokenService'

export default class AuthRequestService {
  static async login (credential) {
    AuthToken.pull()
    const user = await AuthHttp.login(credential)
    if (!user) return
    const token = user.api_token
    AuthToken.replace(token)
  }

  static async logout () {
    await AuthHttp.logout()
    AuthToken.pull()
  }
}
