import NotificationHttp from '../HttpServices/NotificationHttpService'
import NotificationStore from '../StoreServices/NotificationStoreService'
import NotificationMasonry from '../MasonryServices/NotificationMasonryService'

export default class NotificationRequestService {
  static async paginate () {
    const paginate = await NotificationHttp.paginate()
    if (!paginate) return
    NotificationStore.replacePaginate(paginate)
    NotificationMasonry.paginate()
  }

  static async search () {
    const keyword = NotificationStore.collectKeyword()
    if (!keyword) return this.paginate()
    const paginate = await NotificationHttp.search(keyword)
    if (!paginate) return
    NotificationStore.replacePaginate(paginate)
    NotificationMasonry.paginate()
  }

  static async nextPaginate () {
    const current = NotificationStore.collectPaginate()
    if (!current.next_page_url) return
    const paginate = await NotificationHttp.next(current.next_page_url)
    if (!paginate) return
    NotificationStore.pushPaginate(paginate)
  }
}
