import PaymentHttp from '../HttpServices/PaymentHttpService'
import PaymentStore from '../StoreServices/PaymentStoreService'
import PaymentMasonry from '../MasonryServices/PaymentMasonryService'

export default class PaymentRequestService {
  static async create (payment) {
    await PaymentHttp.create(payment)
  }

  static async paginate () {
    const paginate = await PaymentHttp.paginate()
    if (!paginate) return
    PaymentStore.replacePaginate(paginate)
    PaymentMasonry.paginate()
  }

  static async cancel (payment) {
    await PaymentHttp.cancel(payment)
  }

  static async nextPaginate () {
    const current = PaymentStore.collectPaginate()
    if (!current.next_page_url) return
    const paginate = await PaymentHttp.next(current.next_page_url)
    if (!paginate) return
    PaymentStore.pushPaginate(paginate)
  }
}
