import UserHttp from '../HttpServices/UserHttpService'
import UserStore from '../StoreServices/UserStoreService'
import Alert from '../AlertService'

export default class UserRequestService {
  static async create (user) {
    user = await UserHttp.create(user)
    return user
  }

  static async read () {
    const user = await UserHttp.read()
    if (!user) return
    UserStore.replaceUser(user)
  }

  static async edit (user) {
    user = await UserHttp.edit(user)
    if (!user) return
    UserStore.replaceUser(user)
    Alert.success('Succesfully updated settings')
  }
}
