import Store from './StoreService'

export default class ReminderStoreService {
  static addPaginate (reminder) {
    Store.provider.commit('reminder/addPaginate', reminder)
  }

  static addScheduled (reminder) {
    Store.provider.commit('reminder/addScheduled', reminder)
  }

  static collectActive () {
    return Store.provider.getters['reminder/active']
  }

  static collectPaginate () {
    return Store.provider.getters['reminder/paginate']
  }

  static collectScheduled () {
    return Store.provider.getters['reminder/scheduled']
  }

  static collectCompleted () {
    return Store.provider.getters['reminder/completed']
  }

  static collectTrash () {
    return Store.provider.getters['reminder/trash']
  }

  static collectReminder () {
    return Store.provider.getters['reminder/reminder']
  }

  static replaceActive (active) {
    Store.provider.commit('reminder/replaceActive', active)
  }

  static replacePaginate (paginate) {
    Store.provider.commit('reminder/replacePaginate', paginate)
  }

  static replaceScheduled (scheduled) {
    Store.provider.commit('reminder/replaceScheduled', scheduled)
  }

  static replaceCompleted (completed) {
    Store.provider.commit('reminder/replaceCompleted', completed)
  }

  static replaceTrash (trash) {
    Store.provider.commit('reminder/replaceTrash', trash)
  }

  static replaceReminder (reminder) {
    Store.provider.commit('reminder/replaceReminder', reminder)
  }

  static pushPaginate (paginate) {
    Store.provider.commit('reminder/pushPaginate', paginate)
  }

  static pushCompleted (completed) {
    Store.provider.commit('reminder/pushCompleted', completed)
  }

  static pushTrash (trash) {
    Store.provider.commit('reminder/pushTrash', trash)
  }

  static amendPaginate (reminder) {
    Store.provider.commit('reminder/amendPaginate', reminder)
  }

  static pullPaginate (id) {
    Store.provider.commit('reminder/pullPaginate', id)
  }

  static pullScheduled (id) {
    Store.provider.commit('reminder/pullScheduled', id)
  }

  static pullCompleted (id) {
    Store.provider.commit('reminder/pullCompleted', id)
  }

  static pullTrash (id) {
    Store.provider.commit('reminder/pullTrash', id)
  }
}
