export default class UploadService {
  static parse (event) {
    const sources = event.target.files
    const source = sources.length ? sources[0] : null
    return source
  }

  static name (source) {
    const name = source.name
    const canShorten = name.length >= 18
    const shorten = canShorten ? name.substr(0, 15) + '...' : name
    return shorten
  }

  static extension (source) {
    const extension = source.name.split('.').pop()
    return extension
  }

  static transform (source, uri) {
    const name = this.name(source)
    const extension = this.extension(source)
    const result = { name, uri, extension }
    return result
  }

  static read (source) {
    return new Promise((resolve, reject) => {
      const fileReader = new FileReader()
      fileReader.readAsDataURL(source)
      fileReader.addEventListener('load', event => {
        resolve(event.target.result)
      })
    })
  }

  static async file (event) {
    const source = this.parse(event)
    const uri = await this.read(source)
    return this.transform(source, uri)
  }
}
