import moment from 'moment'

export default class DateUtilsService {
  static local (date) {
    const formated = moment.utc(date).local().format('YYYY-MM-DD HH:mm:ss')
    return formated
  }

  static utc (date) {
    const formated = moment(date).utc().format('YYYY-MM-DD HH:mm:ss')
    return formated
  }

  static readable (date) {
    const formated = moment.utc(date).local().format('MMM D, YYYY h:mm A')
    return formated
  }

  static fromNow (date) {
    const formated = moment.utc(date).local().fromNow()
    return formated
  }

  static relative (date) {
    date = moment.utc(date).local()
    const isToday = date.diff(moment().startOf('day').add(-1, 'hour'), 'hours') > 0
    return isToday ? date.format('LT') : date.format('LLL')
  }
}
