import DateUtilsService from './DateUtilsService'

const _ = require('lodash')
const moment = require('moment')

export default class UtilsService {
  static has (value) {
    const has = !_.isEmpty(value)
    return has
  }

  static size (value) {
    const size = _.size(value)
    return size
  }

  static date () {
    return DateUtilsService
  }

  static status (startAt, finishAt) {
    startAt = moment.utc(startAt).local()
    finishAt = moment.utc(finishAt).local()
    const now = moment()
    const total = moment(finishAt).diff(startAt)
    const completed = moment(now).diff(startAt)
    if (!completed && !total) return 0
    const percentage = _.round((completed / total) * 100, 2)
    const isNegative = percentage < 0
    const isOverflow = percentage > 100
    const status = isNegative ? 0 : isOverflow ? 100 : percentage
    return status
  }

  static statusStyle (startAt, finishAt) {
    const statusRate = this.status(startAt, finishAt)
    const style = `width: ${statusRate}%`
    return style
  }

  static shorten (data, length = 30) {
    const totalLength = data.length
    if (totalLength <= length) return data
    const shorten = `${data.slice(0, length)}...`
    return shorten
  }

  static scrollToBottom (selector) {
    setTimeout(() => {
      var dom = document.querySelector(selector)
      if (dom) scroll()
      else setTimeout(scroll, 100)
      function scroll () {
        dom.scrollTop = dom.scrollHeight
      }
    }, 1)
  }

  static autoGrow (selector) {
    var dom = document.querySelector(selector)
    dom.style.height = '0px'
    dom.style.height = (dom.scrollHeight) + 'px'
  }
}
