export default {
  namespaced: true,
  state: {
    alert: {
      type: '',
      message: ''
    },
    watcher: null
  },

  mutations: {
    replaceAlert (state, alert) {
      state.alert = alert
    },
    pullAlert (state) {
      state.alert = {}
    }
  },

  actions: {
    autoPull (context) {
      if (this.watcher) clearTimeout(this.watcher)
      this.watcher = setTimeout(() => context.commit('pullAlert'), 5000)
    }
  },

  getters: {
    alert: state => state.alert
  }
}
