import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    client: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    shortlist: [],
    trash: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    addPaginate (state, client) {
      state.paginate.data.unshift(client)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceClient (state, client) {
      state.client = client
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceShortlist (state, shortlist) {
      state.shortlist = shortlist
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, client => {
        state.paginate.data.push(client)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, client => {
        state.trash.data.push(client)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, client) {
      const query = { id: client.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, client)
    },
    pullPaginate (state, id) {
      const client = _.find(state.paginate.data, { id })
      if (!client) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const client = _.find(state.trash.data, { id })
      if (!client) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    client: state => state.client,
    paginate: state => state.paginate,
    shortlist: state => state.shortlist,
    trash: state => state.trash
  }
}
