import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    file: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    trash: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    addPaginate (state, file) {
      state.paginate.data.unshift(file)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceFile (state, file) {
      state.file = file
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, file => {
        state.paginate.data.push(file)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, file => {
        state.trash.data.push(file)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, file) {
      const query = { id: file.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, file)
    },
    pullPaginate (state, id) {
      const file = _.find(state.paginate.data, { id })
      if (!file) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const file = _.find(state.trash.data, { id })
      if (!file) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    file: state => state.file,
    paginate: state => state.paginate,
    trash: state => state.trash
  }
}
