import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    invoice: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    trash: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    addPaginate (state, invoice) {
      state.paginate.data.unshift(invoice)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceInvoice (state, invoice) {
      state.invoice = invoice
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, invoice => {
        state.paginate.data.push(invoice)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, invoice => {
        state.trash.data.push(invoice)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, invoice) {
      const query = { id: invoice.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, invoice)
    },
    pullPaginate (state, id) {
      const invoice = _.find(state.paginate.data, { id })
      if (!invoice) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const invoice = _.find(state.trash.data, { id })
      if (!invoice) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    invoice: state => state.invoice,
    paginate: state => state.paginate,
    trash: state => state.trash
  }
}
