import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    milestone: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    trash: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    addPaginate (state, milestone) {
      state.paginate.data.unshift(milestone)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceMilestone (state, milestone) {
      state.milestone = milestone
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, milestone => {
        state.paginate.data.push(milestone)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, milestone => {
        state.trash.data.push(milestone)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, milestone) {
      const query = { id: milestone.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, milestone)
    },
    pullPaginate (state, id) {
      const milestone = _.find(state.paginate.data, { id })
      if (!milestone) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const milestone = _.find(state.trash.data, { id })
      if (!milestone) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    milestone: state => state.milestone,
    paginate: state => state.paginate,
    trash: state => state.trash
  }
}
