import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    note: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    trash: {
      data: [],
      next_page_url: ''
    }
  },

  mutations: {
    addPaginate (state, note) {
      state.paginate.data.unshift(note)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceNote (state, note) {
      state.note = note
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, note => {
        state.paginate.data.push(note)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, note => {
        state.trash.data.push(note)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, note) {
      const query = { id: note.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, note)
    },
    pullPaginate (state, id) {
      const note = _.find(state.paginate.data, { id })
      if (!note) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const note = _.find(state.trash.data, { id })
      if (!note) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    note: state => state.note,
    paginate: state => state.paginate,
    trash: state => state.trash
  }
}
