import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    keyword: '',
    paginate: {
      data: [],
      next_page_url: ''
    },
    live: []
  },

  mutations: {
    addLive (state, live) {
      state.live.unshift(live)
    },
    replaceKeyword (state, keyword) {
      state.keyword = keyword
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceLive (state, live) {
      state.live = live
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, notification => {
        state.paginate.data.push(notification)
      })
      state.paginate.next_page_url = paginate.next_page_url
    }
  },

  getters: {
    keyword: state => state.keyword,
    paginate: state => state.paginate,
    live: state => state.live
  }
}
