import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'paginate',
    project: {},
    paginate: {
      data: [],
      next_page_url: ''
    },
    shortlist: [],
    trash: {
      data: [],
      next_page_url: ''
    },
    milestones: []
  },

  mutations: {
    addPaginate (state, project) {
      state.paginate.data.unshift(project)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceProject (state, project) {
      state.project = project
    },
    replacePaginate (state, paginate) {
      state.paginate = paginate
    },
    replaceShortlist (state, shortlist) {
      state.shortlist = shortlist
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    replaceMilestones (state, milestones) {
      state.milestones = milestones
    },
    pushPaginate (state, paginate) {
      _.forEach(paginate.data, project => {
        state.paginate.data.push(project)
      })
      state.paginate.next_page_url = paginate.next_page_url
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, project => {
        state.trash.data.push(project)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    amendPaginate (state, project) {
      const query = { id: project.id }
      const index = _.findIndex(state.paginate.data, query)
      state.paginate.data.splice(index, 1, project)
    },
    pullPaginate (state, id) {
      const project = _.find(state.paginate.data, { id })
      if (!project) return
      const index = _.findIndex(state.paginate.data, { id })
      state.paginate.data.splice(index, 1)
    },
    pullTrash (state, id) {
      const project = _.find(state.trash.data, { id })
      if (!project) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    project: state => state.project,
    paginate: state => state.paginate,
    shortlist: state => state.shortlist,
    trash: state => state.trash,
    milestones: state => state.milestones
  }
}
