import _ from 'lodash'

export default {
  namespaced: true,
  state: {
    active: 'list',
    task: {},
    list: [],
    completed: [],
    trash: {
      data: [],
      next_page_url: ''
    },
    order: []
  },

  mutations: {
    addList (state, task) {
      state.list.unshift(task)
    },
    replaceActive (state, active) {
      state.active = active
    },
    replaceList (state, list) {
      state.list = list
    },
    replaceCompleted (state, completed) {
      state.completed = completed
    },
    replaceTrash (state, trash) {
      state.trash = trash
    },
    replaceTask (state, task) {
      state.task = task
    },
    pushTrash (state, trash) {
      _.forEach(trash.data, task => {
        state.trash.data.push(task)
      })
      state.trash.next_page_url = trash.next_page_url
    },
    pullList (state, id) {
      const task = _.find(state.list, { id })
      if (!task) return
      const index = _.findIndex(state.list, { id })
      state.list.splice(index, 1)
    },
    pullCompleted (state, id) {
      const task = _.find(state.completed, { id })
      if (!task) return
      const index = _.findIndex(state.completed, { id })
      state.completed.splice(index, 1)
    },
    pullTrash (state, id) {
      const task = _.find(state.trash.data, { id })
      if (!task) return
      const index = _.findIndex(state.trash.data, { id })
      state.trash.data.splice(index, 1)
    }
  },

  getters: {
    active: state => state.active,
    list: state => state.list,
    completed: state => state.completed,
    trash: state => state.trash,
    order (state) {
      const tasks = _.concat(state.list, state.completed)
      const order = _.map(tasks, task => task.id)
      return order
    },
    task: state => state.task
  }
}
